Subject: Re: [PATCH net-next v3] wireless-drivers: rtnetlink wifi simulation device

From: Sergey Matyukevich <[email-masked]>
Date: Mon, 8 Oct 2018 13:56:21 +0000

> > Hi Cody,
> >
> >>  drivers/net/wireless/Kconfig     |   7 +
> >>  drivers/net/wireless/Makefile    |   2 +
> >>  drivers/net/wireless/virt_wifi.c | 618 +++++++++++++++++++++++++++++++
> >>  3 files changed, 627 insertions(+)
> >>  create mode 100644 drivers/net/wireless/virt_wifi.c
> >
> > I did a quick check of your patch using checkpatch kernel tool,
> > here is a summary of its output:
> >
> > $ ./scripts/checkpatch.pl --strict test.patch
> > ...
> > total: 165 errors, 428 warnings, 9 checks, 634 lines checked
> >
> > Most part of those complaints is about either whitespaces or code
> > idents. I am not sure whether this is a patch itself or email client.
> > So could you please take a look and run checkpatch on your side.
> >
> 
> Yeah, it could be his email client, weird though because if I pull the
> patch from the kernel.org archive's mbox though, I don't get any
> errors except the MAINTAINERS file thing:
> 
> wget https://lore.kernel.org/lkml/[email-masked]/raw
> -O /tmp/tmp.patch
> ./scripts/checkpatch.pl --strict /tmp/tmp.patch
> 
> WARNING: added, moved or deleted file(s), does MAINTAINERS need updating?
> #167:
> new file mode 100644
> 
> total: 0 errors, 1 warnings, 0 checks, 634 lines checked

Hi Cody and Joel,

Please ignore my comment regarding the whitespace issues in the patch.
I don't see those issues when downloading the patch via gmail server.
So the issue was on my side.

Regards,
Sergey